---
{%- from "zabbix/map.jinja" import zabbix with context %}
zabbix_log_dir:
  file.directory:
    - name: /var/log/zabbix
    - user: zabbix
    - group: zabbix
    - mode: 755
    - watch_in:
      - service: zabbix_agent_service

zabbix_agent_config:
  file.managed:
    - name: /etc/zabbix/zabbix_agentd.conf
    - source: salt://zabbix/templates/zabbix_agentd.conf.j2
    - template: jinja
    - watch_in:
      - service: zabbix_agent_service

{% if zabbix.agent.config.TLSPSKFile is iterable %}
zabbix_agent_tlspsk_file:
  file.managed:
    - name: {{ zabbix.agent.config.TLSPSKFile }}
    - contents: {{ zabbix.agent.psk }}
    - create: true
    - watch_in:
      - service: zabbix_agent_service
{% endif %}
